# Class ChimeMessenger

java.lang.Object
org.jmol.viewer.ChimeMessenger

All Implemented Interfaces:
  `JmolChimeMessenger`

public class ChimeMessenger extends Object implements JmolChimeMessenger
A legacy Chime-compatible messenger. Enabled using set messageStyleChime. Probably used only by ProteinExplorer. Consolidates all Chime business and gets this code out of Viewer and other more commonly used classes.

## Constructor Summary

Constructors
Constructor
Description
`ChimeMessenger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getAllChimeInfo(SB sb)`
`String`
`getInfoXYZ(Atom a)`
called when an atom is picked
`void`
`reportSelection(int n)`
report atom selection in Chime format
`String`
`scriptCompleted(StatusManager sm, String statusMessage, String strErrorMessageUntranslated)`
called when a script exits.
`JmolChimeMessenger`
`set(Viewer vwr)`
`void`
`showHash(SB outputBuffer, String s)`
#xxxx command output
`void`
`update(String msg)`
called upon script exit and file opening

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChimeMessenger

public ChimeMessenger()

## Method Details

### set

public JmolChimeMessenger set(Viewer vwr)

Specified by:
  `set` in interface `JmolChimeMessenger`

### getInfoXYZ

public String getInfoXYZ(Atom a)
called when an atom is picked

Specified by:
  `getInfoXYZ` in interface `JmolChimeMessenger`

### showHash

public void showHash(SB outputBuffer, String s)
#xxxx command output

Specified by:
  `showHash` in interface `JmolChimeMessenger`

### reportSelection

public void reportSelection(int n)
report atom selection in Chime format

Specified by:
  `reportSelection` in interface `JmolChimeMessenger`

### update

public void update(String msg)
called upon script exit and file opening

Specified by:
  `update` in interface `JmolChimeMessenger`

### scriptCompleted

public String scriptCompleted(StatusManager sm, String statusMessage, String strErrorMessageUntranslated)
called when a script exits.

Specified by:
  `scriptCompleted` in interface `JmolChimeMessenger`

### getAllChimeInfo

public void getAllChimeInfo(SB sb)

Specified by:
  `getAllChimeInfo` in interface `JmolChimeMessenger`